Robot Simulator of the Robotics Group for Self-Organization of Control: Camera Class Reference

# Camera Class Reference

A Robot Camera. More...

`#include <camera.h>`

Collaboration diagram for Camera:
[legend]

List of all members.

## Classes
struct | CameraImage
| structure to store the image data and information for display More...
struct | PostDrawCallback
## Public Types
typedef std::vector< CameraImage > | CameraImages
## Public Member Functions
| Camera (const CameraConf &conf=getDefaultConf())
| Creates a camera.
virtual | ~Camera ()
virtual void | init (const OdeHandle &odeHandle, const OsgHandle &osgHandle, Primitive *body, const osg::Matrix &pose)
| initializes the camera.
virtual void | setPose (const osg::Matrix &pose)
| changes the relative pose of the camera
virtual osg::Matrix | getPose ()
| relative pose of the camera
virtual const CameraImages & | getImages () const
| all images (raw and processed)
virtual const osg::Image * | getImage () const
| last image of processing stack
virtual osg::Camera * | getRRTCam ()
virtual void | update ()
bool | isInitialized ()
## Static Public Member Functions
static CameraConf | getDefaultConf ()

## Detailed Description

A Robot Camera.

Implements a simulated camera with full OpenGL rendering.

## Member Typedef Documentation

typedef std::vector<CameraImage > CameraImages

## Constructor & Destructor Documentation

Camera | ( | const CameraConf & | conf = `getDefaultConf()` | ) |

Creates a camera.

Note that the order in which the image processors are positioned in conf.imageProcessors matters. The resulting CameraImages are stored in a list (see getImages) and usually the processors use the last image in this list (result of last processing).

~Camera | ( |  | ) | `[virtual]`

## Member Function Documentation

static CameraConf getDefaultConf | ( |  | ) | `[inline, static]`

virtual const osg::Image* getImage | ( |  | ) | const`[inline, virtual]`

last image of processing stack

virtual const CameraImages& getImages | ( |  | ) | const`[inline, virtual]`

all images (raw and processed)

osg::Matrix getPose | ( |  | ) | `[virtual]`

relative pose of the camera

returns the relative pose of the camera

virtual osg::Camera* getRRTCam | ( |  | ) | `[inline, virtual]`

void init | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | Primitive * | body,
|  | const osg::Matrix & | pose |
| ) |  |  | `[virtual]`

initializes the camera.

The OSG camera is created and the raw image and the imageprocessor is initialized.

bool isInitialized | ( |  | ) | `[inline]`

void setPose | ( | const osg::Matrix & | pose | ) | `[virtual]`

changes the relative pose of the camera

void update | ( |  | ) | `[virtual]`

The documentation for this class was generated from the following files:

- camera.h
- camera.cpp